View a markdown version of this page

ListGatewayRateLimits - Amazon Bedrock AgentCore Control Plane

ListGatewayRateLimits

Lists all rate limits for a gateway. Results are paginated. Use the nextToken parameter to retrieve additional results.

Request Syntax

GET /gateways/gatewayIdentifier/rate-limits?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

gatewayIdentifier

The unique identifier of the gateway.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

maxResults

The maximum number of results to return in the response. If the total number of results is greater than this value, use the token returned in the response in the nextToken field when making another request to return the next batch of results.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token to use to retrieve the next page of results. Use the value returned in a previous ListGatewayRateLimits response.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "rateLimits": [ { "createdAt": "string", "description": "string", "dimensionKeys": [ "string" ], "entries": [ { "connections": [ { "period": "string", "rate": number } ], "dimensions": { "string" : "string" }, "requests": [ { "period": "string", "rate": number } ], "tokens": [ { "period": "string", "rate": number } ] } ], "gatewayIdentifier": "string", "rateLimitId": "string", "status": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token for the next page of results. If this value is absent, there are no more results to retrieve.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

rateLimits

The list of rate limits for the gateway.

Type: Array of GatewayRateLimitDetail objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: